<?php
class Auto // definicja klasy
{
    private $marka; // właściwość klasy

    public function setMarka(string $marka) // metoda klasy
    {
        $this->marka = $marka; // przypisanie wartości do właściwości klasy
    }

    public function getMarka() : string // metoda klasy
    {
        return $this->marka; // pobranie wartości właściwości klasy
    }
}

$fiat = new Auto(); // tworzenie pierwszego egzemplarza klasy
$fiat->setMarka(marka: "Fiat 125p"); // i wywołanie metody

$jeep = new Auto(); // tworzenie drugiego egzemplarza klasy
$jeep->setMarka(marka: "Jeep Grand Cherokee"); // i wywołanie metody

print "Samochody występujące jako obiekty:".PHP_EOL;
print $fiat->getMarka();
print PHP_EOL;
print $jeep->getMarka();